Package jaxe

# Class Balise

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
jaxe.Balise

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`

public class Balise extends JComponent implements MouseListener, MouseMotionListener
Composant Swing représentant le début ou la fin d'un élément dans le texte

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEBUT`
`static final int`
`FIN`
`protected static ImageIcon`
`iconeAttributs`
`protected static ImageIcon`
`iconeInvalide`
`protected static ImageIcon`
`iconeValide`
`static final int`
`VIDE`

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`Balise(JaxeElement je, boolean division, int typeBalise)`
Constructeur pour un composant Balise qui affiche le titre de l'élément XML sur la balise.
`Balise(JaxeElement je, String texte, boolean division, int typeBalise)`
Constructeur pour un composant Balise qui affiche le texte donné en paramètre sur la balise.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackground()`
`static Border`
`getBord()`
Renvoie le bord actuel des balises
`static Color[][]`
`getCouleurs()`
Renvoie les couleurs actuelles des balises
`protected JaxeDocument`
`getDoc()`
`Color`
`getForeground()`
`Dimension`
`getMaximumSize()`
`Dimension`
`getMinimumSize()`
`static Font`
`getPolice()`
Renvoie la police de caractères utilisée pour les balises
`Dimension`
`getPreferredSize()`
`void`
`majAffichage()`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`protected void`
`paintComponent(Graphics g)`
`void`
`selection(boolean select)`
Sélectionne la balise en changeant ses couleurs.
`static void`
`setBord(Border border)`
Deprecated.
`static void`
`setCouleurs(Color[][] couleurs)`
Défini les ensembles de couleurs à utiliser pour les balises.
`void`
`setEnsembleCouleurs(int noens)`
Donne le numéro de l'ensemble de couleurs à utiliser pour cette balise.
`static void`
`setPolice(Font font)`
Définit la police de caractères à utiliser pour les balises
`void`
`setText(String texte)`
`void`
`setValidite(boolean valide)`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUI, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEBUT

public static final int DEBUT

See Also:
  - Constant Field Values

### FIN

public static final int FIN

See Also:
  - Constant Field Values

### VIDE

public static final int VIDE

See Also:
  - Constant Field Values

### iconeAttributs

protected static ImageIcon iconeAttributs

### iconeValide

protected static ImageIcon iconeValide

### iconeInvalide

protected static ImageIcon iconeInvalide

## Constructor Details

### Balise

public Balise(JaxeElement je, boolean division, int typeBalise)
Constructeur pour un composant Balise qui affiche le titre de l'élément XML sur la balise.

Parameters:
  `je` - Elément Jaxe de la balise
  `division` - précise si la balise doit prendre tout l'espace restant sur la ligne de texte
  `typeBalise` - type de balise (Balise.DEBUT | Balise.FIN | Balise.VIDE)

### Balise

public Balise(JaxeElement je, String texte, boolean division, int typeBalise)
Constructeur pour un composant Balise qui affiche le texte donné en paramètre sur la balise.

Parameters:
  `je` - Elément Jaxe de la balise
  `texte` - texte à afficher sur la balise
  `division` - précise si la balise doit prendre tout l'espace restant sur la ligne de texte
  `typeBalise` - type de balise (Balise.DEBUT | Balise.FIN | Balise.VIDE)

## Method Details

### setCouleurs

public static void setCouleurs(Color[][] couleurs)
Défini les ensembles de couleurs à utiliser pour les balises. Par défaut, tableau de tableaux à 3 entrées: 1) normal 2) sélection 3) invalide. Par exemple {{jauneLeger, rougeFonce, orange}, {bleuClair, rougeFonce, violet}}

### getCouleurs

public static Color[][] getCouleurs()
Renvoie les couleurs actuelles des balises

Returns:
  Couleurs des balises

### setBord

@Deprecated public static void setBord(Border border)
Deprecated.
Définit le bord des balises

Parameters:
  `border` - le bord des balises

### getBord

public static Border getBord()
Renvoie le bord actuel des balises

Returns:
  le bord des balises

### getPolice

public static Font getPolice()
Renvoie la police de caractères utilisée pour les balises

Returns:
  la police actuelle des balises

### setPolice

public static void setPolice(Font font)
Définit la police de caractères à utiliser pour les balises

Parameters:
  `font` - Police à utiliser

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`

### setText

public void setText(String texte)

### setValidite

public void setValidite(boolean valide)

### getBackground

public Color getBackground()

Overrides:
  `getBackground` in class `Component`

### getForeground

public Color getForeground()

Overrides:
  `getForeground` in class `Component`

### getPreferredSize

public Dimension getPreferredSize()

Overrides:
  `getPreferredSize` in class `JComponent`

### getMaximumSize

public Dimension getMaximumSize()

Overrides:
  `getMaximumSize` in class `JComponent`

### getMinimumSize

public Dimension getMinimumSize()

Overrides:
  `getMinimumSize` in class `JComponent`

### selection

public void selection(boolean select)
Sélectionne la balise en changeant ses couleurs.

### setEnsembleCouleurs

public void setEnsembleCouleurs(int noens)
Donne le numéro de l'ensemble de couleurs à utiliser pour cette balise.

### majAffichage

public void majAffichage()

### paintComponent

protected void paintComponent(Graphics g)

Overrides:
  `paintComponent` in class `JComponent`

### getDoc

protected JaxeDocument getDoc()